Package org.apache.ignite

## Class IgniteDataStreamerTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.IgniteDataStreamerTimeoutException

- All Implemented Interfaces:
    `Serializable`

      public class IgniteDataStreamerTimeoutException
      extends IgniteException

  Exception is thrown when timeout of some `IgniteDataStreamer` operations occurs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgniteDataStreamerTimeoutException​(String msg)` | Creates new timeout exception with given error message.
    `IgniteDataStreamerTimeoutException​(String msg, Throwable cause)` | Creates new timeout exception with given error message and optional nested exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteDataStreamerTimeoutException

          public IgniteDataStreamerTimeoutException​(String msg)

      Creates new timeout exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### IgniteDataStreamerTimeoutException

          public IgniteDataStreamerTimeoutException​(String msg,
                                                    Throwable cause)

      Creates new timeout exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).